Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodedata
Class NewHiddenNodeDataAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter
          info.bioinfweb.treegraph.document.nodedata.AbstractIDElementAdapter
              info.bioinfweb.treegraph.document.nodedata.HiddenDataAdapter
                  info.bioinfweb.treegraph.document.nodedata.HiddenNodeDataAdapter
                      info.bioinfweb.treegraph.document.nodedata.NewHiddenNodeDataAdapter

All Implemented Interfaces:
  IDElementAdapter, NewNodeDataAdapter, NodeDataAdapter

    public class NewHiddenNodeDataAdapter

extends HiddenNodeDataAdapter
implements IDElementAdapter, NewNodeDataAdapter

Creates a new hidden node data column.

Author:
  Ben Stöver

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.nodedata.HiddenDataAdapter
`DECIMAL_FORMAT`

Fields inherited from class info.bioinfweb.treegraph.document.nodedata.AbstractIDElementAdapter
`id`

Constructor Summary
`NewHiddenNodeDataAdapter()`

Method Summary
`void` | `setID(String id)` Defines the ID of the node data column that is created by this node data adapter.
`String` | `toString()` A description of the adapter that is readable by the user should be returned here.

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.HiddenNodeDataAdapter
`getDataElement, getDataMap`

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.HiddenDataAdapter
`assignData, createData, delete, getData, getDecimalFormat`

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.AbstractIDElementAdapter
`getID, readOnly`

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter
`decimalOnly, getDecimal, getText, isDecimal, isEmpty, isString, setDecimal, setText, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.nodedata.IDElementAdapter
`getID`

Constructor Detail

### NewHiddenNodeDataAdapter

    public NewHiddenNodeDataAdapter()

Method Detail

### setID

    public void setID(String id)

  Description copied from interface: `NewNodeDataAdapter`
  Defines the ID of the node data column that is created by this node data adapter.

  Specified by:
    `setID` in interface `NewNodeDataAdapter`
  Parameters:
    `id` - - the new ID

### toString

    public String toString()

  Description copied from interface: `NodeDataAdapter`
  A description of the adapter that is readable by the user should be returned here.

  Specified by:
    `toString` in interface `NodeDataAdapter`
  Overrides:
    `toString` in class `HiddenNodeDataAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD